'''
Find length of the longest sample
'''

fdIn = open('TSLibrary_window.txt', 'r')
#fdIn = open('TSLibrary_strucchange.txt', 'r')
maxa = -1
for line in fdIn:
    l = line.split()
    if maxa < int(l[12]): maxa = int(l[12])
fdIn.close()
print maxa

